package at.slini204.tttgames.oneko

import android.app.Service
import android.content.Intent
import android.graphics.Color
import android.graphics.PixelFormat
import android.os.IBinder
import android.view.WindowManager
import android.widget.TextView

class OverlayService : Service() {

    private lateinit var windowManager: WindowManager
    private lateinit var companionView: TextView // TextView für den Companion

    override fun onCreate() {
        super.onCreate()

        // Berechtigungen prüfen und Fenstermanager initialisieren
        windowManager = getSystemService(WINDOW_SERVICE) as WindowManager

        // Companion View (TextView) erstellen
        companionView = TextView(this).apply {
            text = "Companion läuft..."
            textSize = 20f
            setTextColor(Color.BLACK)
        }

        // Fensterparametern setzen
        val params = WindowManager.LayoutParams(
            WindowManager.LayoutParams.MATCH_PARENT,
            WindowManager.LayoutParams.MATCH_PARENT,
            WindowManager.LayoutParams.TYPE_APPLICATION_OVERLAY,
            WindowManager.LayoutParams.FLAG_NOT_FOCUSABLE,
            PixelFormat.TRANSLUCENT
        )

        // View in das Overlay einfügen
        windowManager.addView(companionView, params)
    }

    override fun onDestroy() {
        super.onDestroy()
        // View entfernen
        if (::companionView.isInitialized) {
            windowManager.removeView(companionView)
        }
    }

    override fun onBind(intent: Intent?): IBinder? {
        return null
    }
}
